org.apache.commons.compress.harmony.unpack200.bytecode

## Class ClassFileEntry

- java.lang.Object
- - org.apache.commons.compress.harmony.unpack200.bytecode.ClassFileEntry

- Direct Known Subclasses:
    Attribute, ByteCode, ConstantPoolEntry, CPMember

      public abstract class ClassFileEntry
      extends Object

  The abstract superclass for all types of class file entries.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static ClassFileEntry[]` | `NONE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClassFileEntry()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract void` | `doWrite(DataOutputStream dos)`
    `abstract boolean` | `equals(Object arg0)`
    `protected ClassFileEntry[]` | `getNestedClassFileEntries()`
    `abstract int` | `hashCode()`
    `protected int` | `objectHashCode()`
    `protected void` | `resolve(ClassConstantPool pool)` Allows the constant pool entries to resolve their nested entries.
    `abstract String` | `toString()`
    `void` | `write(DataOutputStream dos)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### NONE

          protected static final ClassFileEntry[] NONE

  - ### Constructor Detail

    - #### ClassFileEntry

          public ClassFileEntry()

  - ### Method Detail

    - #### doWrite

          protected abstract void doWrite(DataOutputStream dos)
                                   throws IOException

      Throws:
        `IOException`

    - #### equals

          public abstract boolean equals(Object arg0)

      Overrides:
        `equals` in class `Object`

    - #### getNestedClassFileEntries

          protected ClassFileEntry[] getNestedClassFileEntries()

    - #### hashCode

          public abstract int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### objectHashCode

          protected int objectHashCode()

    - #### resolve

          protected void resolve(ClassConstantPool pool)

      Allows the constant pool entries to resolve their nested entries.
      Parameters:
        `pool` - TODO

    - #### toString

          public abstract String toString()

      Overrides:
        `toString` in class `Object`

    - #### write

          public final void write(DataOutputStream dos)
                           throws IOException

      Throws:
        `IOException`

Copyright © 2002–2022 The Apache Software Foundation. All rights reserved.